/* DEUTSCH.CMD: Installation von MEMSIZE in Deutsch. */

/* REXXUTIL laden */
Call rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
Call sysloadfuncs
 
Call SysCls
Say 'Installation von MEMSIZE...';
Say '';

Say 'Bitte geben Sie den vollen Verzeichnisnamen ein, wohin';
Say '  MEMSIZE installiert werden soll (Standard: C:\OS2\APPS): ';
Pull Directory
If Directory = "" Then Directory='C:\OS2\APPS'
Result = SysFileTree(Directory, 'Dirs', 'D')
If Dirs.0 = 0 Then Call SysMkDir Directory;

Say 'Mchten Sie das Programmobjekt im Ordner Systemstart haben? (J/N)';
Pull YesNo
If YesNo = "J" Then
  Do
  Folder='<WP_START>'
  Say 'Objekt wird im Systemstart-Ordner plaziert.';
  End
Else
  Do
  Folder='<WP_DESKTOP>'
  Say 'Objekt wird auf der Arbeitsoberflche plaziert.';
  End
 
Say 'Kopiere MEMSIZE nach ' Directory '...';
Say '';
Language='DEUTSCH'
Copy MEMSIZE.EXE Directory
Copy Language".DLL" Directory"\MEMSIZE.DLL"
Copy Language".HLP" Directory"\MEMSIZE.HLP"

Say 'Erzeuge Programmobjekt...';
Say ''; 

Type='WPProgram'
Title='Systemresourcen'
Parms='MINWIN=DESKTOP;PROGTYPE=PM;EXENAME='Directory'\MEMSIZE.EXE;STARTUPDIR='Directory';OBJECTID=<MEMSIZE>;NOPRINT=YES'

Result=SysCreateObject(Type,Title,Folder,Parms)
 
If Result=1 Then 
  Call charout ,'...   Objekt erzeugt!  Fertig.'
Else             
  Call charout ,'...   Nicht erzeugt! Rckgabewert='Result

Exit
 
