:userdoc.
:title.'Systemresourcen' Hilfe
:body.

:h1 res=1.Einfhrung
:i1.Einfhrung
:artwork name='memsize.bmp' align=center.
:p.
Dieses Programm zeigt verschiedene Informationen im Zusammenhang mit
Systemresourcen.  Die Anzeige wird einmal pro Sekunde angepat, sofern
das Programm hierfr CPU-Zeit erhlt.  Die angezeigten Informationen sind:
:p.
:hp2.Datum/Zeit:ehp2. - Laufendes Datum und Uhrzeit in dem Format, wie
es die Lnderspezifikation fr Ihr System in dem COUNTRY-Eintrag Ihrer
CONFIG.SYS-Datei vorschreibt.
:p.
:hp2.Freier Speicher:ehp2. - Der verfgbare Systemspeicher nach Angabe
der Funktion :hp1.DosMemAvail:ehp1..
Unter OS/2 1.x, liefert diese Funktion vermutlich die Gre des
grten einzelnen Speicherblocks; allerdings ist auch schon gesagt
worden, da dies dem insgesamt freien Speicher entspricht, wenn die
Option MEMMOVE eingeschaltet ist.
Unter OS/2 2.0 wird das Maximum zwischen dem wahren Betrag unbenutzten
physischen Speichers und 512K angegeben.
Es gibt in dem 32-bit API eine neue Funktion, die angibt, wieviel
physischer Speicher existiert, wieviel davon fr das residente System
genutzt wird und wieviel frei ist.  Da dieses Programm aber eine
16-bit Applikation ist, habe ich keinen Zugang zu dieser Funktion.
:p.
:hp2.Swap-Gre:ehp2. - Die augenblickliche Gre der
Auslagerungsdatei des virtuellen Speichers (SWAPPER.DAT). Um diese
Datei zu finden, wird die Datei CONFIG.SYS nach
dem SWAPPATH-Eintrag durchsucht.  Dieser Eintrag liefert den vollen
Namen des Verzeichnisses der Auslagerungsdatei und zeigt den minimalen
Speicherplatz an, der auf dem Laufwerk der Auslagerungsdatei frei
bleiben mu.
:p.
:hp2.Freier Swap-Platz:ehp2. -  Der Betrag des freien
Plattenplatz auf dem logischen Laufwerk der Auslagerungsdatei
abzglich des minimalen freibleibenden Platzes. Diese Zahl
zeigt an, wie weit die Auslagerungsdatei im Bedarfsfall ausgedehnt
werden knnte.
:p.
:hp2.Spool-Gre:ehp2. - Der Betrag an Plattenplatz, der von
Spool-Dateien verbraucht wird.
:p.
:hp2.CPU-Last (%):ehp2. - Die ungefhre Prozentzahl der verfgbaren
CPU-Leistung, die in diesem Moment gebraucht wird.  Sie wird ber die
vergangene Sekunde gemittelt.
:note.Diese Funktion und  PULSE behindern sich gegenseitig.
:p.
:hp2.Auf Laufwerk X frei:ehp2. - Der Betrag freien Speichers auf Laufwerk X.
:p.
Wie Sie schon gesehen haben, ist die Hilfeeinrichtung aktiv und die
existierenden Kommandos knnen ber das System-Men des Fensters
angesprochen werden.  Die folgenden Kommandos sind verfgbar:
:p.:lm margin=10.
:hpt.Werte speichern:ehpt.:hdref res=11.
.br
:hpt.Standardwerte:ehpt.:hdref res=12.
.br
:hpt.Ohne Rahmen:ehpt.:hdref res=13.
.br
:hpt.Weckerintervall setzen...:ehpt.:hdref res=14.
.br
:hpt.Angezeigte Details :ehpt.:hdref res=15.
.br
:hpt.Datum/Zeit zeigen:ehpt.:hdref res=150.
.br
:hpt.Freien Speicher zeigen:ehpt.:hdref res=151.
.br
:hpt.Swap-Gre zeigen:ehpt.:hdref res=152.
.br
:hpt.Freien Swap-Platz zeigen:ehpt.:hdref res=153.
.br
:hpt.Spool-Gre zeigen:ehpt.:hdref res=154.
.br
:hpt.CPU-Last zeigen:ehpt.:hdref res=155.
.br
:hpt.Freien Platz auf Laufwerk C: zeigen:ehpt.:hdref res=53.
.br
:hpt.Produktinformation:ehpt.:hdref res=16.
:p.:lm margin=1.
Auer den schon beschriebenen Vorrichtungen akzeptiert das Programm
auch Kommandos von den OS/2 2.0-Programmen zur Farb- und Schriftartpalette.

:h1 res=11.Werte speichern (Men-Option)
:i1.Werte speichern (Men-Option)
Bei Selektion dieser Men-Option speichert das Programm seine
augenblickliche Position und den Zustand des Rahmens.
Beim nchsten Programmstart wird das Fenster an der gleichen Position
und entweder mit oder ohne Rahmen erscheinen, entsprechend dem
gespeicherten Zustand.
:p.
Dieses Kommando kann ber F2 direkt ausgefhrt werden.

:h1 res=12.Standardwerte (Men-Option)
:i1.Standardwerte (Men-Option)
Diese Men-Option setzt die Schriftart- und Farbattribute des
Programms auf ihre Standardwerte zurck. 

:h1 res=13.Ohne Rahmen (Men-Option)
:i1.Ohne Rahmen (Men-Option)
Diese Men-Option verbirgt den Rahmen des Programmfensters, d.h. also
das System-Men, den Titelbalken und den Knopf fr Symbolgre.  Mit
einem Doppelklick auf irgendeinen Mausknopf kann diese Option
umgeschaltet werden.  Da ich es fr ntzlich hielt, das Fenster
bewegen zu knnen, auch wenn der Rahmen verborgen ist, wurde das
Fenster so eingerichtet, da es mit jedem Mausknopf verschoben werden
kann.
.br
Dieses Kommando kann ber ALT+H direkt ausgefhrt werden.

:h1 res=14.Weckerintervall setzen (Men-Option)
:i1.Weckerintervall setzen (Men-Option)
Diese Option bewirkt einen Dialog, mit dem der Wecker fr die
Erneuerung der Anzeige (in Zehntelsekunden) eingestellt werden kann.
Der Wecker kann auf Werte zwischen 10 und 300 (1-30 Sekunden) gestellt
werden.  

:h1 res=140.Weckerintervall setzen (Dialog)
:i1.Weckerintervall setzen (Dialog)
Mit dem Auf- und Abwrtspfeils des Drehknopfs kann das Weckerintervall
fr die Aktualisierung der Bildschirmanzeige zwischen 1 und 30
Sekunden in Zehntelsekundenabstnden eingestellt werden.  Sobald Sie
die Ihnen genehme Einstellung gefunden haben, drcken Sie die
Eingabetaste oder klicken auf den OK-Knopf.  Wenn Sie sich's anders
berlegen und die nderung rckgngig machen wollen, drcken Sie die
ESC-Taste oder klicken auf den Abbruch-Knopf.  Hilfe-Informationen
erscheinen, wenn Sie die F1-Taste drcken oder auf den Hilfe-Knopf klicken.

:h1 res=15.Angezeigte Details  (Men-Option)
:i1.Angezeigte Details  (Men-Option)
Diese Option ruft ein Untermen auf, von dem aus die anzuzeigenden
Details selektiert und deselektiert werden knnen.

:h1 res=150.Datum/Zeit zeigen (Men-Option)
:i1.Datum/Zeit zeigen (Men-Option)
Diese Option bestimmt, ob Datum und laufende Zeit angezeigt werden
oder nicht.  Wenn die Option markiert ist, wird die augenblickliche
Zeit digital angezeigt. Wenn der Zustand der Option gendert wird,
pat das Programm die Fenstergre automatisch an entsprechend der
Anzahl der angezeigten Informationen.

:h1 res=151.Freien Speicher zeigen (Men-Option)
:i1.Freien Speicher zeigen (Men-Option)
Diese Option bestimmt, ob der Betrag des freien Systemspeichers
angezeigt wird oder nicht.  Wenn die Option markiert ist, wird der
freie Speicher angezeigt.  Wenn der Zustand der Option gendert wird,
pat das Programm die Fenstergre automatisch an entsprechend der
Anzahl der angezeigten Informationen.

:h1 res=152.Swap-Gre zeigen (Men-Option)
:i1.Swap-Gre zeigen (Men-Option) 
Diese Option bestimmt, ob die augenblickliche Gre der
Auslagerungsdatei angezeigt wird oder nicht.  Wenn die Option markiert
ist, wird die Gre dieser Datei angezeigt.  Wenn der Zustand der
Option gendert wird, pat das Programm die Fenstergre automatisch
an entsprechend der Anzahl der angezeigten Informationen.

:h1 res=153.Freien Swap-Platz zeigen (Men-Option)
:i1.Freien Swap-Platz zeigen (Men-Option)
Diese Option bestimmt, ob der fr Auslagerungen zur Verfgung stehende
Platz angezeigt wird oder nicht.  Wenn die Option markiert ist, wird
der freie Platz angezeigt.    Wenn der Zustand der
Option gendert wird, pat das Programm die Fenstergre automatisch
an entsprechend der Anzahl der angezeigten Informationen.

:h1 res=154.Spool-Gre zeigen (Men-Option)
:i1.Spool-Gre zeigen (Men-Option)
Diese Option bestimmt, ob der vom Spooler momentan beanspruchte
Plattenplatz angezeigt wird oder nicht.  Wenn die Option markiert ist,
wird der Platz angezeigt.  Wenn der Zustand der Option gendert wird,
pat das Programm die Fenstergre automatisch an entsprechend der
Anzahl der angezeigten Informationen.

:h1 res=155.CPU-Last zeigen (Men-Option)
:i1.CPU-Last zeigen (Men-Option)
Diese Option bestimmt, ob die augenblickliche CPU-Last angezeigt wird
oder nicht.  Wenn die Option markiert ist, wird die Last angezeigt.
Wenn die Option markiert ist, wird die Last angezeigt.  Wenn der
Zustand  der Option gendert wird, pat das Programm die Fenstergre
automatisch an entsprechend der Anzahl der angezeigten Informationen.

:h1 res=16.Produktinformation (Men-Option)
:i1.Produktinformation (Men-Option)
Selektion dieser Option bewirkt die Anzeige der Produktinformation.

:h1 res=160.Produktinformation (Dialog)
:i1.Produktinformation (Dialog)
Das Dialogfenster zeigt den Namen des Programms, das zugehrige Symbol
und die Copyright-Information an.  Das Fenster kann verlassen werden,
indem man die Eingabetaste, die Leertaste oder ESC drckt oder auf den
OK-Knopf klickt.

:h1 res=53.Freien Platz auf Laufwerk C: zeigen (Men-Option)
:i1.Show C: Freien Platz auf Laufwerk C: zeigen (Men-Option)
Diese Option bestimmt, ob der freie Platz auf Laufwerk C: angezeigt
wird oder nicht.  Wenn die Option markiert ist, wird der freie Platz
angezeigt.  Wenn der Zustand der Option gendert wird,
pat das Programm die Fenstergre automatisch an entsprechend der
Anzahl der angezeigten Informationen.

:h1 res=99.Hilfe fr Tasten
:i1.Hilfe fr Tasten
Die folgenden Funktionstasten wurden fr dieses Programm definiert:
:p.
:lm margin=10.
F1 - Hilfe
.br
F2 - Werte speichern
.br
F3 - Ende
.br
Alt+H - Ohne Rahmen
:p.

:euserdoc.
