/* ENGLISH.CMD: Install MEMSIZE in English. */

/* Load REXXUTIL */
Call rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
Call sysloadfuncs
 
Call SysCls
Say 'Installing MEMSIZE...';
Say '';

Say 'Please enter the full name of the directory to which';
Say '  you want MEMSIZE installed (default C:\OS2\APPS): ';
Pull Directory
If Directory = "" Then Directory='C:\OS2\APPS'
Result = SysFileTree(Directory, 'Dirs', 'D')
If Dirs.0 = 0 Then Call SysMkDir Directory;

Say 'Do you wish to install to the startup folder? (Y/N)';
Pull YesNo
If YesNo = "Y" Then
  Do
  Folder='<WP_START>'
  Say 'Object will be placed in the startup folder.';
  End
Else
  Do
  Folder='<WP_DESKTOP>'
  Say 'Object will be placed on the desktop.';
  End
 
Say 'Copying MEMSIZE to ' Directory '...';
Say '';
Language='ENGLISH'
Copy MEMSIZE.EXE Directory
Copy Language".DLL" Directory"\MEMSIZE.DLL"
Copy Language".HLP" Directory"\MEMSIZE.HLP"

Say 'Creating program object...';
Say ''; 

Type='WPProgram'
Title='System Resources'
Parms='MINWIN=DESKTOP;PROGTYPE=PM;EXENAME='Directory'\MEMSIZE.EXE;STARTUPDIR='Directory';OBJECTID=<MEMSIZE>;NOPRINT=YES'

Result=SysCreateObject(Type,Title,Folder,Parms)
 
If Result=1 Then 
  Call charout ,'...   Object created!  Done.'
Else             
  Call charout ,'...   Not created! Return code='Result

Exit
  
