/* ESPAOL.CMD: Instalacin de MEMSIZE en espaol */

/* Cargar REXXUTIL */
Call rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
Call sysloadfuncs
 
Call SysCls
Say 'Instalacin de MEMSIZE...';
Say '';

Say 'Por favor, escriba el nombre completo del directorio en el';
Say '  que quiere instalar el programa MEMSIZE (por defecto es C:\OS2\APPS): ';
Pull Directory
If Directory = "" Then Directory='C:\OS2\APPS'
Result = SysFileTree(Directory, 'Dirs', 'D')
If Dirs.0 = 0 Then Call SysMkDir Directory;

Say "Quiere instalarlo de forma que se ejecute automticamente al arrancar? (S/N)";
Pull YesNo
If YesNo = "S" Then
  Do
  Folder='<WP_START>'
  Say "El objeto se copiar en la carpeta Inicio.";
  End
Else
  Do
  Folder='<WP_DESKTOP>'
  Say "El objeto se copiar en el Escritorio.";
  End
 
Say 'Copiando MEMSIZE al directorio ' Directory '...';
Say '';
Language='ESPAOL'
Copy MEMSIZE.EXE Directory
Copy Language".DLL" Directory"\MEMSIZE.DLL"
Copy Language".HLP" Directory"\MEMSIZE.HLP"

Say "Creando el objeto del programa...";
Say ''; 

Type='WPProgram'
Title='Recursos del Sistema'
Parms='MINWIN=DESKTOP;PROGTYPE=PM;EXENAME='Directory'\MEMSIZE.EXE;STARTUPDIR='Directory';OBJECTID=<MEMSIZE>;NOPRINT=YES'

Result=SysCreateObject(Type,Title,Folder,Parms)
 
If Result=1 Then 
  Call charout ,"...   El objeto se ha creado.  Fin"
Else             
  Call charout ,"...   No se ha podido crear el objeto! Estado final=" Result

Exit
 

