:userdoc.
:title.'Ajuda de Recursos del Sistema OS/2'
:body.

:h1 res=1.Introducci
:i1.Introducci
:artwork name='memsize.bmp' align=center.
:p.
Aquest programa mostra per pantalla diferents informacions sobre
els recursos del sistema, i les actualiza una vegada per segon,
si es que el processador t temps per a fer-ho. Les informacions
mostrades sn:
:p.
:hp2.Data/Hora:ehp2. - La data i hora actual, en el format normal
de cada pas, depenent de com estigui configurada la lnia COUNTRY=
al fitxer CONFIG.SYS
:p.
:hp2.Memria Disponible:ehp2. - La quantitat de memria lliure del
sistema, d'acord amb all que la funci :hp1.DosMemAvail:ehp1. indica. 
Sota l'OS/2 1.x, aquesta funci retorna el tamany del bloc de memria 
ms gran lliure, malgrat que hi ha qui diu que amb l'opci MEMMOVE 
activa, el valor retornat correspn al total de memria lliure. Sota 
l'OS/2 2.0, s'indica o b el tamany de la memria fsica no utilitzada o 
b 512 KB, depenent de quin sigui el valor ms gran. Hi ha una nova 
funci a l'API de 32-bit que informa quanta memria fsica hi ha 
installada, quanta n'est consumint el sistema i quanta n'hi ha de 
lliure, per com aquesta s una aplicaci de 16-bit, no t accs a 
aquesta funci.
:p.
:hp2.Tamany del fitxer d'intercanvi:ehp2. - El tamany que ocupa al disc el
fitxer de memria virtual d'intercanvi (swap), SWAPPER.DAT. Per
localitzar aquest fitxer, busqueu al fitxer CONFIG.SYS la lnia que
comena amb SWAPPATH, on trobareu indicat el nom complet (incls el
directori) del fitxer d'intercanvi, aix com l'espai que cal reservar a
la unitat on es troba situat aquest fitxer.
:p.
:hp2.Espai disponible pel fitxer d'intercanvi:ehp2. - La quantitat total
d'espai a la unitat de disc on es troba el fitxer d'intercanvi, menys la
quantitat d'espai que cal reservar. Aquest valor s el tamany mxim que
pot utilitzar el fitxer d'intercanvi.
:p.
:hp2.Tamany del fitxer d'spool:ehp2. - La quantitat total de disc consumida
pels fitxers enviats a l'spooler d'impressora.
:p.
:hp2.Percentatge d's de la CPU:ehp2. - El percentatge aproximat d's 
del processador. El valor que es mostra s el percentatge corresponent 
al promig d'utilitzaci del darrer segon.
:note.Aquesta funci i el PULSE que s'inclou amb l'OS/2 2.0, no sn gaire compatibles.
:p.
:hp2.Espai lliure a la unitat X:ehp2. - La quanitat total d'espai lliure a
la unitat de disc X.
:p.
Aquesta ajuda s sensible al contexte, com ja se n'haureu adonat.
L'accs a les segents funcions es fa a travs del men de sistema de
la finestra:
:p.:lm margin=10.
:hpt.Guardar configuraci:ehpt.:hdref res=11.
.br
:hpt.Restaurar els valors per defecte:ehpt.:hdref res=12.
.br
:hpt.Amagar els controls:ehpt.:hdref res=13.
.br
:hpt.Indicar l'interval d'actualitzaci...:ehpt.:hdref res=14.
.br
:hpt.Mostrar la Data/Hora:ehpt.:hdref res=15.
.br
:hpt.Mostrar la memria lliure:ehpt.:hdref res=16.
.br
:hpt.Mostrar el tamany del fitxer d'intercanvi:ehpt.:hdref res=17.
.br
:hpt.Mostrar l'espai disponible pel fitxer d'intercanvi:ehpt.:hdref res=18.
.br
:hpt.Mostrar el tamany de l'spooler de la impressora:ehpt.:hdref res=19.
.br
:hpt.Mostrar el percentatge d's de la CPU:ehpt.:hdref res=20.
.br
:hpt.Mostrar l'espai lliure a la unitat C&colon.:ehpt.:hdref res=53.
.br
:hpt.Informaci del programa:ehpt.:hdref res=21.
:p.:lm margin=1.
A ms d'aquestes funcions descrites, el programa accepta ordres dels
controladors de fonts i de la paleta de colors de l'OS/2 2.0

:h1 res=11.Guardar configuraci (Opci del men)
:i1.Guardar configuraci (Opci del men)
Quan seleccioneu aquesta opci del men, el programa guarda la possici
actual a la pantalla aix com l'estat dels controls. La propera vegada
que s'executi el programa, ho far a la mateixa possici i amb els
controls amagats (o visibles), d'acord amb la informaci gravada.
:p.
La tecla acceleradora assignada a aquesta funci s F2.

:h1 res=12.Restaurar els valors per defecte (Opci del men)
:i1.Restaurar els valors per defecte (Opci del men)
Seleccionant aquesta opci del men, es restaura el tipus de lletra i
els atributs de color als seus valors per defecte.

:h1 res=13.Amagar els controls (Opci del men)
:i1.Amagar els controls (Opci del men)
Aquesta opci del men, quan est seleccionada, fa que els controls de
la finestra del programa (el men de sistema, la barra del ttol i el bot
de minimitzaci) s'amagin. s possible variar el valor d'aquesta funci
si premeu dues vegades el bot del mouse dintre de la finestra.
.br
La tecla acceleradora assignada a aquesta funci s ALT+H.

:h1 res=14.Indicar l'interval d'actualitzaci (Opci del men)
:i1.Indicar l'interval d'actualitzaci (Opci del men)
Seleccionant aquesta opci, s'obrir una capsa de dileg a la qual hi 
podreu configurar l'interval de temps entre actualitzaci i actualizaci 
de les dades. Aquest interval es pot fixar entre un segon fins a trenta 
segons. El valor s'indica en dcimes de segon.

:h1 res=140.Indicar l'interval d'actualitzaci (Capsa de dileg) 
:i1.Indicar l'interval d'actualitzaci (Capsa de dileg) Utilitzant els 
botons amb les flextes, es possible canviar l'interval entre 
actualizaci i actualitzaci, variant entre d'un segon fins a trenta 
segons, en intervals d'una dcima de segon. Un cop s'hagi seleccionat el 
valor desitjat, si premeu la tecla ENTER o be seleccionant amb mouse el 
bot OK, es selecciona aquest valor. Si, per contra, es prem la tecla 
ESCAPE o b seleccionar amb el mouse el bot CANCELLAR, s'utilitza el 
valor existent abans del canvi. Hi ha disponible ajuda, a la qual hi 
podeu accedir si premeu la tecla F1 o b seleccionant amb el mouse al 
bot d'AJUDA.

:h1 res=15.Mostrar la Data/Hora (Opci del men)
:i1.Mostrar la Data/Hora (Opci del men)
Seleccionant aquesta opci es permet mostrar o no la data i hora actual.
Si l'opci est marcada, vol dir que s es mostrar la data i l'hora.
Cada vegada que es canvia l'estat d'aquesta opci, la finestra del
programa actualitza el seu tamany depenent del nmero d'opcions a
mostrar.

:h1 res=16.Mostrar la memria lliure (Opci del men)
:i1.Mostrar la memria lliure (Opci del men)
Seleccionant aquesta opci es permet mostrar o no la quantitat de
memria lliure. Si l'opci est marcada, vol dir que s es mostrar la
quantitat de memria lliure. Cada vegada que es canvia l'estat d'aquesta
opci, la finestra del programa actualitza el seu tamany depenent del
nmero d'opcions a mostrar.

:h1 res=17.Mostrar el tamany del fitxer d'intercanvi (Opci del Men)
:i1.Mostrar el tamany del fitxer d'intercanvi (Opci del Men)
Seleccionant aquesta opci es permet mostrar o no el tamany del fitxer
d'intercanvi. Si l'opci est marcada, vol dir que s es mostrar el
tamany d'aquest fitxer. Cada vegada que es canvia l'estat d'aquesta
opci, la finestra del programa actualitza el seu tamany depenent del
nmero d'opcions a mostrar.

:h1 res=18.Mostrar l'espai disponible pel fitxer d'intercanvi (Opci del men)
:i1.Mostrar l'espai disponible pel fitxer d'intercanvi (Opci del men)
Seleccionant aquesta opci es permet mostrar o no la quantitat d'espai 
que pot sser ocupat pel fitxer d'intercanvi (fitxer de swap). Si 
l'opci est marcada, vol dir que s es mostrar l'espai lliure. Cada 
vegada que es canvia l'estat d'aquesta opci, la finestra del programa 
actualitza el seu tamany depenent del nmero d'opcions a mostrar.

:h1 res=19.Mostrar el tamany de l'spooler de la impressora (Opci del men)
:i1.Mostrar el tamany de l'spooler de la impressora (Opci del men)
Seleccionant aquesta opci es permet mostrar o no la quantitat d'espai
del disc consumit per l'spooler de la impressora. Si l'opci est
marcada, vol dir que s es mostrar la quantitat d'espai consumit. Cada
vegada que es canvia l'estat d'aquesta opci, la finestra del programa
actualitza el seu tamany depenent del nmero d'opcions a mostrar.

:h1 res=20.Mostrar el percentatge d's de la CPU (Opci del men)
:i1.Mostrar el percentatge d's de la CPU (Opci del men)
Seleccionant aquesta opci es permet mostrar o no el percentatge
d'utilitzaci del processador. Si l'opci est marcada, vol dir que s
es mostrar aquest percentatge. Cada vegada que es canvia l'estat
d'aquesta opci, la finestra del programa actualitza el seu tamany
depenent del nmero d'opcions a mostrar.

:h1 res=21.Informaci del programa (Opci del men)
:i1.Informaci del programa (Opci del men)
Aquesta opci ofereix, quan es selecciona, informaci sobre el programa.

:h1 res=210.Informaci del programa (Capsa de dileg)
:i1.Informaci del programa (Capsa de dileg)
Aquesta capsa de dileg mostra el nom del programa, la icona i
informaci sobre els drets de cpia i l'autor.

Per sortir d'aquesta capsa de dileg, podeu prmer qualsevol d'aquestes
tecles: ENTER, la barra d'espais o b ESCAPE. Tamb es possible sortir
seleccionat el but OK del mouse.

:h1 res=53.Mostrar l'espai lliure a la unitat C&colon. (Opci del men)
:i1.Mostrar l'espai lliure a la unitat C&colon. (Opci del men)
Seleccionant aquesta opci es permet mostrar o no la quantitat d'espai
lliure a la unitat C&colon.. Si l'opci est marcada, vol dir que s es
mostrar la quantitat d'espai lliure. Cada vegada que es canvia l'estat
d'aquesta opci, la finestra del programa actualitza el seu tamany
depenent del nmero d'opcions a mostrar.

:h1 res=99.Ajuda de les tecles
:i1.Ajuda de les tecles
Les segents tecles de funci s'han definit per aquest programa:
:p.
:lm margin=6.
F1 - Ajuda
.br
F2 - Guardar configuraci
.br
F3 - Finalitzar
.br
Alt+H - Amagar els controls
:p.

:euserdoc.


