/******************************************************************** DEBUG.H
 *									    *
 *  Debugging Aids							    *
 *									    *
 ****************************************************************************/

#ifndef DEBUG_H
#define DEBUG_H

#include "hrtimer.h"

extern VOID Debug ( HWND hwnd, char *Message, ... ) ;
extern VOID Log ( char *Message, ... ) ;

extern HFILE OpenTimer ( VOID ) ;
extern VOID CloseTimer ( HFILE Handle ) ;
extern BOOL GetTime ( HFILE Handle, PTIMESTAMP pts ) ;
extern ULONG ElapsedTime ( PTIMESTAMP ptsStart, PTIMESTAMP ptsStop, PULONG pulNs ) ;

#endif
